/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { CommodityChannelIndexIndicatorStrategy } from "./CommodityChannelIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var CommodityChannelIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(CommodityChannelIndexIndicator, _super);
    function CommodityChannelIndexIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CommodityChannelIndexIndicator.prototype.get_p0 = function () {
        return new CommodityChannelIndexIndicatorStrategy();
    };
    Object.defineProperty(CommodityChannelIndexIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    CommodityChannelIndexIndicator.prototype.get_qd = function () {
        return CommodityChannelIndexIndicator.$;
    };
    Object.defineProperty(CommodityChannelIndexIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CommodityChannelIndexIndicator.prototype, "ql", {
        get: function () {
            return typeGetValue(this.c(CommodityChannelIndexIndicator.qm));
        },
        set: function (a) {
            this.h(CommodityChannelIndexIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    CommodityChannelIndexIndicator.prototype.p6 = function () {
        return this.ql;
    };
    CommodityChannelIndexIndicator.prototype.qf = function (a) {
        this.ql = a;
    };
    CommodityChannelIndexIndicator.qm = StrategyBasedIndicator.qi(20, CommodityChannelIndexIndicator.$);
    CommodityChannelIndexIndicator.$t = markType(CommodityChannelIndexIndicator, 'CommodityChannelIndexIndicator', StrategyBasedIndicator.$);
    return CommodityChannelIndexIndicator;
}(StrategyBasedIndicator));
export { CommodityChannelIndexIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.CommodityChannelIndexIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.CommodityChannelIndexIndicator" />*/
